<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Karkausvuosi</title>
</head>
<body>
    <h1>Karkausvuoden tarkistus</h1>

    <form id="karkaus">
        Syötä vuosi:<br>
        <input type="number" id="vuosiluku">
        <button type="button" onclick="karkausvuosi(karkaus.vuosiluku.value)">Tarkista</button>
    </form>

    <div id="tulos"></div>
    <script>
    
        function karkausvuosi(vuosi) {
            var input = document.getElementById("vuosiluku");
            var output = document.getElementById("tulos");
           if (vuosi % 4 === 0) {
                if (vuosi % 100 === 0) {
                    if (vuosi % 400 === 0) {
                        output.innerHTML = (vuosi + " on karkausvuosi.");
                    } else {
                        output.innerHTML = (vuosi + " ei ole karkausvuosi.");
                    } 
                } else {
                    output.innerHTML = (vuosi + " on karkausvuosi.");
                }
            } else {
                output.innerHTML = (vuosi + " ei ole karkausvuosi.");
            }
            
        }

        
        
        
    </script>
    
</body>
</html>